Api referenceAssets
Upload a custom asset (font or image)
multipart/form-data with the file in the "file" field and the asset name in "name". Uploading with an existing name replaces the asset (already-baked shells do not change — ADR-016 §2.4).
Authorization
apiKey AuthorizationBearer <token>
Renduo API key sent as Authorization: Bearer rnd_live_XXXXXXXXXXXX (or rnd_test_... in test mode). See GET /v1/auth/me.
In: header
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/assets"{ "id": "string", "name": "string", "kind": "font", "contentType": "string", "sizeBytes": 0, "filename": "string", "createdAt": "string"}{ "error": "string", "message": "string", "details": {}, "requestId": "string"}{ "error": "string", "message": "string", "details": {}, "requestId": "string"}{ "error": "string", "message": "string", "details": {}, "requestId": "string"}